<html><head>

<p class=MsoNormal><span lang=EN-US>Please note we provide an open source software notice along with this product and/or this product firmware (in the following just "this product"). The open source software licenses are granted by the respective right holders. And the open source licenses prevail all other license information with regard to the respective open source software contained in the product, including but not limited to End User Software Licensing Agreement. This notice is provided on behalf of Honor Device Co., Ltd. and any of its local subsidiaries which may have provided this product to you in your local country.</span></p>


<p class=MsoNormal><b><span lang=EN-US style='font-size:16.0pt'>Warranty Disclaimer</span></b></p>


<p class=MsoNormal><b><span lang=EN-US style='text-transform:uppercase'>The open source software in this product is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY, without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the applicable licenses for more details.</span></b></p>


<p class=MsoNormal><b><span lang=EN-US style='font-size:16.0pt'>Copyright Notice and License Texts</span></b></p>


<style type="text/css">
body { padding: 0; font-family: sans-serif; }
.same-license { background-color: #eeeeee; border-top: 20px solid white; padding: 10px; }
.label { font-weight: bold; }
.file-list { margin-left: 1em; color: blue; }
</style>

</head><body topmargin="0" leftmargin="0" rightmargin="0" bottommargin="0">
<div class="toc">
<ul>
<li><a href="#id0">/libcoap-4.2.1</a></li>
</ul>
</div><!-- table of contents -->
<table cellpadding="0" cellspacing="0" border="0">
<tr id="id0"><td class="same-license">
<div class="label">Notices for Software(s):</div>
<div class="file-list">
/libcoap-4.2.1 <br/>
</div><!-- file-list -->

<pre class="license-text">
Copyright (C) 2010&ndash;2019 Olaf Bergmann &lt;bergmann@tzi.org&gt;
Copyright (C) 2010&ndash;2011 Olaf Bergmann &lt;bergmann@tzi.org&gt;
Copyright (C) 2017 Jean&ndash;Claue Michelou &lt;jcm@spinetix.com&gt;
Copyright (C) 2010&ndash;2011,2015&ndash;2016 Olaf Bergmann &lt;bergmann@tzi.org&gt;
Copyright (C) 2010&ndash;2014 Olaf Bergmann &lt;bergmann@tzi.org&gt;
Copyright (C) 2010&ndash;2012 Olaf Bergmann &lt;bergmann@tzi.org&gt;
Copyright (C) 2019 Jon Shallow &lt;supjps&ndash;libcoap@jpshallow.com&gt;
Copyright (C) 2010,2011,2014,2015 Olaf Bergmann &lt;bergmann@tzi.org&gt;
Copyright (C) 2010&ndash;2011,2016 Olaf Bergmann &lt;bergmann@tzi.org&gt;
Copyright (C) 2010&ndash;2015 Olaf Bergmann &lt;bergmann@tzi.org&gt;
Copyright (C) 2010&ndash;2012,2015&ndash;2017 Olaf Bergmann &lt;bergmann@tzi.org&gt;
2015 Carsten Schoenert &lt;c.schoenert@t&ndash;online.de&gt;
Copyright (C) 2012&ndash;2013 Olaf Bergmann &lt;bergmann@tzi.org&gt;
Copyright (C) 2010&ndash;2013 Olaf Bergmann &lt;bergmann@tzi.org&gt;
2019 Olaf Bergmann &lt;bergmann@tzi.org&gt;
Copyright (C) 2010&ndash;2011,2014 Olaf Bergmann &lt;bergmann@tzi.org&gt;
Copyright (C) 2010&ndash;2012,2014&ndash;2015 Olaf Bergmann &lt;bergmann@tzi.org&gt;
Copyright (C) 2010&ndash;2011,2014&ndash;2015 Olaf Bergmann &lt;bergmann@tzi.org&gt;
Copyright (C) 2015 Carsten Schoenert &lt;c.schoenert@t&ndash;online.de&gt;
Copyright (C) 2016 Olaf Bergmann &lt;bergmann@tzi.org&gt;
Copyright (C) 2017 Jean&ndash;Claude Michelou &lt;jcm@spinetix.com&gt;
Copyright (C) 2011 Olaf Bergmann &lt;bergmann@tzi.org&gt;
Copyright (C) 2011,2015,2018&ndash;2019 Olaf Bergmann &lt;bergmann@tzi.org&gt; and others
Copyright (C) 2010,2011 Olaf Bergmann &lt;bergmann@tzi.org&gt;
Copyright (c) 2001&ndash;2003 Swedish Institute of Computer Science.
Author: Adam Dunkels &lt;adam@sics.se&gt;
lwip adaptions: chrysn &lt;chrysn@fsfe.org&gt;
Copyright (C) 2012&ndash;&ndash;2013 Olaf Bergmann &lt;bergmann@tzi.org&gt;
Copyright (C) 2012,2015 Olaf Bergmann &lt;bergmann@tzi.org&gt;
Copyright (C) 2013 Olaf Bergmann &lt;bergmann@tzi.org&gt;
Copyright (C) 2013,2015&ndash;2018 Olaf Bergmann &lt;bergmann@tzi.org&gt;
Copyright (C) 2019 Olaf Bergmann &lt;bergmann@tzi.org&gt;
Copyright (C) 2012 Olaf Bergmann &lt;bergmann@tzi.org&gt;
Copyright (C) 2018 Olaf Bergmann &lt;bergmann@tzi.org&gt;
Copyright (C) 2013&ndash;&ndash;2015 Olaf Bergmann &lt;bergmann@tzi.org&gt;
Copyright (C) 2013,2015 Olaf Bergmann &lt;bergmann@tzi.org&gt;
Copyright (C) 2010&ndash;&ndash;2012,2014&ndash;&ndash;2019 Olaf Bergmann &lt;bergmann@tzi.org&gt; and others
Copyright (C) 2012,2014,2016&ndash;2019 Olaf Bergmann &lt;bergmann@tzi.org&gt; and others
Copyright (C) 2010&ndash;&ndash;2019 Olaf Bergmann &lt;bergmann@tzi.org&gt;
Copyright (C) 2010&ndash;&ndash;2012,2015&ndash;2019 Olaf Bergmann &lt;bergmann@tzi.org&gt; and others
Copyright (C) 2012,2014 Olaf Bergmann &lt;bergmann@tzi.org&gt;
2014 chrysn &lt;chrysn@fsfe.org&gt;
Copyright (C) 2018 Jon Shallow &lt;supjps&ndash;libcoap@jpshallow.com&gt;
Copyright (C) 2015&ndash;2016,2019 Olaf Bergmann &lt;bergmann@tzi.org&gt;
Copyright (C) 2010&ndash;&ndash;2015 Olaf Bergmann &lt;bergmann@tzi.org&gt;
Copyright (C) 2015 Olaf Bergmann &lt;bergmann@tzi.org&gt;
Copyright (C) 2014&ndash;&ndash;2015 Olaf Bergmann &lt;bergmann@tzi.org&gt;
Copyright (C) 2010&ndash;&ndash;2012,2015&ndash;2016 Olaf Bergmann &lt;bergmann@tzi.org&gt;
Copyright (C) 2010&ndash;&ndash;2016 Olaf Bergmann &lt;bergmann@tzi.org&gt;
Copyright (C) 2017 Dag Bjorklund &lt;dag.bjorklund@comsel.fi&gt;
Copyright (C) 2018&ndash;2019 Jon Shallow &lt;supjps&ndash;libcoap@jpshallow.com&gt;


Copyright (c) 2010&ndash;&ndash;2019, Olaf Bergmann and others
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

  o Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.

  o Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in
    the documentation and/or other materials provided with the
    distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
&quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

========================================================================
getopt.c

License information for getopt.c. This file is only used on Windows
builds of the executables in the examples folder:

/*
 * This file was copied from the following newsgroup posting:
 *
 * Newsgroups: mod.std.unix
 * Subject: public domain AT&amp;T getopt source
 * Date: 3 Nov 85 19:34:15 GMT
 *
 * Here&prime;s something you&prime;ve all been waiting for:  the AT&amp;T public domain
 * source for getopt(3).  It is the code which was given out at the 1985
 * UNIFORUM conference in Dallas.  I obtained it by electronic mail
 * directly from AT&amp;T.  The people there assure me that it is indeed
 * in the public domain.
 */

========================================================================
OpenSSL

Binaries that are linked against OpenSSL include software developed
by the OpenSSL Project for use in the OpenSSL Toolkit.
(http://www.openssl.org/). Please consult the OpenSSL license
(https://www.openssl.org/source/license.html) for licensing terms.

========================================================================
GnuTLS

When compiled with GnuTLS support, this software includes components
that are licensed under the terms of the the GNU Lesser General Public
License, version 2.1
(https://www.gnu.org/licenses/old&ndash;licenses/lgpl&ndash;2.1.html).

========================================================================
tinyDTLS

When compiled with tinyDTLS support, this software includes components
that are licensed under the terms of the Eclipse Distribution License 1.0
(http://www.eclipse.org/org/documents/edl&ndash;v10.php).


</pre><!-- license-text -->
</td></tr><!-- same-license -->



</table>
</body></html>
